com.ihr.xbrl.om.formula

## Interface HasFormulaProcessor

- All Known Subinterfaces:
    XBRLMessageContext, XBRLVariablesHolder
  All Known Implementing Classes:
    XBRLAncestorFilter, XBRLAndFilter, XBRLAspectCoverFilter, XBRLAssertion, XBRLConceptBalanceFilter, XBRLConceptCustomAttributeFilter, XBRLConceptDataTypeFilter, XBRLConceptFilterAbstract, XBRLConceptNameFilter, XBRLConceptPeriodTypeFilter, XBRLConceptRelationFilter, XBRLConceptSubstitutionGroupFilter, XBRLConsistencyAssertion, XBRLCustomFunction, XBRLCustomFunctionImplementation, XBRLDimensionFilterAbstract, XBRLExistenceAssertion, XBRLExplicitDimensionFilter, XBRLFormula, XBRLFormulaFilterBase, XBRLFormulaResource, XBRLGeneralFilter, XBRLGeneralMeasuresFilter, XBRLIdentifierFilter, XBRLLocationFilter, XBRLMatchAbstractFilter, XBRLMatchConceptFilter, XBRLMatchDimensionFilter, XBRLMatchEntityIdentifierFilter, XBRLMatchLocationFilter, XBRLMatchNonXDTScenarioFilter, XBRLMatchNonXDTSegmentFilter, XBRLMatchPeriodFilter, XBRLMatchScenarioFilter, XBRLMatchSegmentFilter, XBRLMatchUnitFilter, XBRLOrFilter, XBRLParentFilter, XBRLPeriodEndFilter, XBRLPeriodFilter, XBRLPeriodFilterAbstract, XBRLPeriodForeverFilter, XBRLPeriodInstantDurationFilter, XBRLPeriodInstantFilter, XBRLPeriodStartFilter, XBRLRegExpIdentifierFilter, XBRLRegExpSchemeFilter, XBRLRelativeFilter, XBRLResultMessage, XBRLScenarioFilter, XBRLSegmentFilter, XBRLSiblingFilter, XBRLSingleMeasureFilter, XBRLSpecificIdentifierFilter, XBRLSpecificSchemeFilter, XBRLTypedDimensionFilter, XBRLValueAssertion, XBRLValueNilFilter, XBRLValuePrecisionFilter, XBRLVariableEqualityDefinition, XBRLVariableFact, XBRLVariableGeneral, XBRLVariableParameter, XBRLVariablePrecondition, XBRLVariableResource, XBRLVariableSetResource

      public interface HasFormulaProcessor

  The Interface HasFormulaProcessor.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XBRLFormulaProcessor` | `getProcessor()` Gets the processor.

- - ### Method Detail

    - #### getProcessor

          XBRLFormulaProcessor getProcessor()

      Gets the processor.
      Returns:
        the XBRLFormulaProcessor